View topic - Can't install QNX4...

Page 1 of 1

Can't install QNX4...

PostPosted: Tue May 22, 2018 2:50 pm
by vgamboa
Hi! I am trying to install QNX4 on a new machine, to replace an old one, but the new motherboards only has AHCI support
for SATA drives. So, I installed QNX 4 Product Suite 2015 on an old machine, I installed Proc32 updates (QNX425-Proc32-
425R-20161101.tar.gz), the build file has: /boot/sys/Proc32
$ /boot/sys/Proc32 -E0 -l 1
/bin/Fsys.ahci
$ /bin/Fsys.ahci fsys -Ndsk0 -n0=hd0.
I put on the new machine but it didn't work. I attach the error image.
I really appreciate any help to install QNX4 on a machine with only has AHCI support, because the motherboards don't
have Atapi support any more. Thank you in advance for any help.
Víctor J Gamboa

Re: Can't install QNX4...

PostPosted: Tue May 22, 2018 6:23 pm
by maschoen
If your motherboard has legacy support for EIDE you can turn it on and install QNX 4. If you not, the only option I know of would be to install another OS, eg. Windows or Linux and run VMWare. VMWare will provide a virtual EIDE interface, but of course there may be other issues.

Re: Can't install QNX4...

PostPosted: Thu May 24, 2018 4:46 pm
by vgamboa
Thanks for your answer. Do you have used qnx4 under vmm ?? Does it work ??
Thanks.

Re: Can't install QNX4...

PostPosted: Thu May 24, 2018 7:01 pm
by maschoen
vgamboa wrote:Thanks for your answer. Do you have used qnx4 under vmm ?? Does it work ??
Thanks.


Yes I've used QNX 4 under VMWare. Yes it works.